System.ServiceModel 4.0.0.0 System.Object

Fault code provides a machine-readable identifier that can be used to programmatically identify the error condition and respond as appropriate. The SOAP specifications define the following fault codes specific to SOAP 1.1 and 1.2.

SOAP 1.1. VersionMismatch, MustUnderstand, Client, and Server.

SOAP 1.2. VersionMismatch, MustUnderstand, DataEncodingUnknown, Sender, and Receiver.

In addition to those fault codes defined by the SOAP specifications, indigo1 uses fault codes defined by each Web services specification that it implements.

Represents a SOAP fault code.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The name of the fault code.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class.

  The name of the fault code.
- Constructor
  4.0.0.0

  A object is used in conjunction with a object to fully represent a SOAP fault.

  Initializes a new instance of the class with the specified name and namespace.

  The local name of the fault code.
  The namespace name of the fault code.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified name, namespace, and fault subcode.

  The local name of the fault code.
  The namespace name of the fault code.
- Method
  4.0.0.0
  System.ServiceModel.FaultCode `` To be added. To be added.

  Creates a receiver fault code with the specified subcode.

  A object with the created SOAP fault subcode in the property.

- Method
  4.0.0.0
  System.ServiceModel.FaultCode `` `` To be added.

  Creates a receiver fault code with the specified subcode.

  A instance with the created SOAP fault subcode in the property.

  The local name for the fault subcode. The namespace name for the fault subcode.
- Method
  4.0.0.0
  System.ServiceModel.FaultCode `` To be added. To be added.

  Creates a sender fault code with the specified subcode.

  A object with the created SOAP fault subcode in the property.

- Method
  4.0.0.0
  System.ServiceModel.FaultCode `` `` To be added.

  Creates a sender fault code with the specified subcode.

  A object with the created SOAP fault subcode in .

  The local name for the fault subcode. The namespace name for the fault subcode.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the fault is a SOAP 1.1 or SOAP 1.2 fault.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the fault is a SOAP 1.1 server fault or a SOAP 1.2 receiver fault.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the fault is a SOAP 1.1 client fault or a SOAP 1.2 sender fault.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the local name of the fault code.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the namespace for the fault code.

- Property
  4.0.0.0
  System.ServiceModel.FaultCode To be added. To be added.

  Gets the fault subcode.